/**
 * ScandiPWA - Progressive Web App for Magento
 *
 * Copyright © Scandiweb, Inc. All rights reserved.
 * See LICENSE for license details.
 *
 * @license OSL-3.0 (Open Software License ("OSL") v. 3.0)
 * @package scandipwa/base-theme
 * @link https://github.com/scandipwa/base-theme
 */

.AddToCart {
    overflow: hidden;
    height: 48px;
    min-width: 12rem;
    vertical-align: middle;

    span {
        display: block;
        transform: translateY(0);
        opacity: 1;
        font-size: 14px;
        font-weight: 500;
        line-height: 24px;
        transition-property: transform, opacity;
        transition-duration: 0.25s;
        transition-timing-function: ease-in;
        will-change: transform, opacity;

        &:last-child {
            width: 100%;
            position: absolute;
            left: 0;
            transform: translateY(0);
            opacity: 0;
        }
    }

    &_isPlaceholder {
        display: inline-block;
        height: 4rem;
        padding: var(--button-padding);
        background-image: var(--placeholder-image);
        background-size: var(--placeholder-size);
        animation: var(--placeholder-animation);
        will-change: background-position;
    }

    &_isLoading {
        span {
            &:first-child {
                transform: translateY(-50%);
                opacity: 0;
            }

            &:last-child {
                transform: translateY(-100%);
                opacity: 1;
            }
        }

        &:active {
            span {
                &:last-child {
                    transform: translateY(-120%);
                    opacity: 0.9;
                }
            }
        }
    }
}

.prm {
    .AddToCart {
        padding: 10px 22px;

        &:not(.AddToCart_isLoading) {
            &.AddToCart_hover {
                span {
                    &:first-child {
                        display: block;
                        margin-top: -23px;

                        &::before,
                        &::after {
                            display: block;
                        }
                    }
                }
            }

            span {
                &:first-child {
                    transition: 300ms;

                    &::before,
                    &::after {
                        display: none;
                        content: attr(data-btn);
                    }
                }
            }
        }
    }
}
